## com.google.appengine.api.datastore
Class Blob

    java.lang.Object
      com.google.appengine.api.datastore.Blob

All Implemented Interfaces:
  java.io.Serializable

    public final class Blob

extends java.lang.Object
implements java.io.Serializable

`Blob` contains an array of bytes. This byte array can be no bigger than 1MB. To store files, particularly files larger than this 1MB limit, look at the Blobstore API.

See Also:
  Serialized Form

Constructor Summary
`Blob(byte[] bytes)` Construct a new `Blob` with the specified bytes.

Method Summary
`boolean` `equals(java.lang.Object object)` Two `Blob` objects are considered equal if their contained bytes match exactly.
`byte[]` `getBytes()` Return the bytes stored in this `Blob`.
`int` `hashCode()`
`java.lang.String` `toString()` Simply prints the number of bytes contained in this `Blob`.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Blob

    public Blob(byte[] bytes)

  Construct a new `Blob` with the specified bytes. Since `Blobs` can be quite large we do not perform a defensive copy of the provided byte array. It is the programmer's responsibility to avoid making changes to this array once the `Blob` has been constructed.

Method Detail

### getBytes

    public byte[] getBytes()

  Return the bytes stored in this `Blob`.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Two `Blob` objects are considered equal if their contained bytes match exactly.

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Simply prints the number of bytes contained in this `Blob`.

  Overrides:
    `toString` in class `java.lang.Object`